Package org.bukkit.event.hanging

# Class HangingBreakByEntityEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.hanging.HangingEvent
org.bukkit.event.hanging.HangingBreakEvent
org.bukkit.event.hanging.HangingBreakByEntityEvent

All Implemented Interfaces:
  `Cancellable`

public class HangingBreakByEntityEvent extends HangingBreakEvent
Triggered when a hanging entity is removed by an entity

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.hanging.HangingBreakEvent

`HangingBreakEvent.RemoveCause`

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.hanging.HangingEvent

`hanging`

## Constructor Summary

Constructors
Constructor
Description
`HangingBreakByEntityEvent(@NotNull Hanging hanging, @Nullable Entity remover)`
`HangingBreakByEntityEvent(@NotNull Hanging hanging, @Nullable Entity remover, HangingBreakEvent.RemoveCause cause)`

## Method Summary

Modifier and Type
Method
Description
`@Nullable Entity`
`getRemover()`
Gets the entity that removed the hanging entity.

### Methods inherited from class org.bukkit.event.hanging.HangingBreakEvent

`getCause, getHandlerList, getHandlers, isCancelled, setCancelled`

### Methods inherited from class org.bukkit.event.hanging.HangingEvent

`getEntity`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HangingBreakByEntityEvent

public HangingBreakByEntityEvent(@NotNull @NotNull Hanging hanging, @Nullable @Nullable Entity remover)

### HangingBreakByEntityEvent

public HangingBreakByEntityEvent(@NotNull @NotNull Hanging hanging, @Nullable @Nullable Entity remover, @NotNull HangingBreakEvent.RemoveCause cause)

## Method Details

### getRemover

@Nullable public @Nullable Entity getRemover()
Gets the entity that removed the hanging entity. May be null, for example when broken by an explosion.

Returns:
  the entity that removed the hanging entity